/*
  cktennis.com - the administrative side
*/

@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+Mono:wght@100..900&family=Noto+Sans:ital,wght@0,100..900;1,100..900&display=swap');

html {
  font-family: "Noto Sans", "sans-serif";
  font-weight: 360;
  margin: 0;
  padding: 0;
  background: white;
}
body {
  margin: 0;
}

h1, h2, h3, h4, h5, h6 {
  font-family: "Noto Sans", "sans-serif";
}
h1 {
  margin: 0;
  padding: 0;
}
h1 img {
  height: 110px;
}
h2 {
  font-size: 200%;
  text-align: center;
}
h3 {
  font-size: 150%;
}

a:link, a:visited {
  color: #3316aa;
}
a:hover, a:active {
  color: #3316ff;
}

.right {
  text-align: right;
}
.left {
  text-align: left;
}
.center {
  text-align: center;
}
.price, .number {
  text-align: right;
}
.hidden {
  display: none !important;
}

#app, #content {
  border-top: 1px solid gray;
  margin: 0;
  padding: 1em;
}

/* Letterhead */

#letterhead {
  display: flex;
  width: 100%;
}

#logo {
  width: 50%;
  margin: 0;
  padding: 0;
}
#addresses {
  width: 50%;
  margin: 0;
  padding: 0;
}
#addresses p {
  margin-top: 0;
  margin-bottom: 0.2em;
  text-align: right;
  padding: 0.25em;
  font-size: 90%;
  font-weight: 200;
}

/* Menu */
#menu {
  background-color: white;
  display: none;
  position: absolute;
  transition: top 0.25s;
  text-align: left;
  z-index: 1;
  padding: 1.5em;
  border-right: 1px solid black;
  border-bottom: 1px solid black;
  font-size: 90%;
  font-weight: 200;
}
#menu p {
  margin: 0;
  padding: 0;
  font-weight: 600;
  font-size: 120%;
}
#menu ul {
  list-style-type: none;
  padding-left: 0.5em;
}
#menu ul li {
  margin-bottom: 4px;
}
#letterhead:hover #menu {
  display: block;
}

/* Status short-term messages */
#status {
  position: fixed;
  top: 10px;
  left: 20%;
  width: 60%;
  display: block;
}
#status .message {
  border-radius: 8px;
  display: block;
  width: 100%;
  animation-name: fade-out;
  animation-duration: 6s;
  padding-top: 0.5em;
  padding-bottom: 0.5em;
  text-align: center;
}
#status .success {
  background-color: #b8ff00;
}
#status .error {
  background-color: #ff5c5c;
}
@keyframes fade-out {
  0% { opacity: 100%; }
  50% { opacity: 100%; }
  100% { opacity: 0%; }
}

/* Default page flexbox */
.horizontal-tiles {
  display: flex;
}
.tile {
  width: 15%;
  margin-left: 9%;
  margin-right: 9%;
}
.tile ul {
  padding-inline-start: 0.5em;
  list-style: none;
}
.tile li {
  padding-bottom: 0.5em;
}
.tile h2 {
  text-align: left;
}

/* Table defaults, to be overridden as needed. */
table {
  border-collapse: collapse;
}

/* Default page flexbox */
.horizontal-tiles {
  display: flex;
}
.tile {
  width: 15%;
  margin-left: 9%;
  margin-right: 9%;
}
.tile ul {
  padding-inline-start: 0.5em;
  list-style: none;
}
.tile li {
  padding-bottom: 0.5em;
}
.tile h2 {
  text-align: left;
}

/* Table defaults, to be overridden as needed. */
table {
  border-collapse: collapse;
  width: 100%;
}
tr:nth-child(even) {
  background-color: #fafafc;
}
th {
  text-align: left;
  padding: 0.5em;
  padding-right: 12px;
  padding-left: 12px;
  border-bottom: 1px solid #f6f6f6;
}
td {
  text-align: left;
  padding: 0.5em;
  padding-right: 12px;
  padding-left: 12px;
}


/* Invoice creation */
table.create-invoice {
  width: auto;
  margin: auto;
}


/* Special rules for the invoice, since it'll be printed. */
table.invoice-header {
  width: 100%;
  font-size: 140%;
  font-family: "Noto Sans", "sans-serif";
  font-weight: 720;
}
table.invoice-header td.date {
  width: 8em;
  text-align: left;
}
table.invoice-header td.customer-name{
  text-align: center;
  font-size: 115%;
}
table.invoice-header td.invoice-number{
  width: 8em;
  text-align: right;
}

table.invoice {
  font-size: 95%;
  border: 1px solid black;
  width: 100%;
  font-weight: 300;
}
table.invoice tr {
  background: white;
}
table.invoice th, table.invoice td {
  border: 1px solid black;
}
table.invoice tr.line-item td {
  border-bottom: none;
  border-top: none;
  padding-top: 0.1em;
  padding-bottom: 0.1em;
}
table.invoice tr.spacer td {
  border-top: none;
  border-bottom: none;
  padding-top: .5em;
  padding-bottom: .5em;
}
table.invoice p {
  margin: .25em;
}
td.price {
  font-family: "Noto Sans Mono", "monospace";
}
.purchase tr {
  background-color: unset;
}
.purchase-line-item {
  border-bottom: 1px solid #f6f6f6;
}
.purchase-expand-table {
  font-size: 80%;
  text-decoration: none;
}
.total {
  text-align: right;
}
.grand-total {
  font-size: 150%;
  font-weight: 700;
}
textarea {
  white-space: pre-line;
}

#show-remaining-stringjob-history {
  padding: 12px;
  margin: 12px;

  border: 1px solid navy;
  background-color: #f4f4ff;
  border-radius: 8px;
}
#show-remaining-stringjob-history:hover {
  background-color: #dedeff;
}


/* Flexbox card-style layout */
.card-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-evenly;
  background-color: unset;
  border: none;
  margin: 0;
  padding: 0;
}
.card {
  flex-grow: 1;
  width: 10%;
  border: 2px solid gray;
  border-radius: 8px;
  background-color: unset;
  font-weight: 480;
  text-align: center;
  padding: 0.5em;
  margin: 1em;
}
.card:hover {
  cursor: pointer;
  background-color: #f2f2f2;
}


#standard-customizations a {
  flex: 1 1 25%;
  display: flex;
}

#income-table,
#spending-table,
#add-person-table,
#edit-person-table {
  width: auto;
  margin-left: auto;
  margin-right: auto;
}
#edit-person-form {
  margin-top: 2em;
}

.purchase-number {
  text-align: right;
  width: 8em;
}

/* Stringjob creator */
#stringjob-creator .section {
  background-color: #f2f2f2;
  margin: 0.25em;
  padding: 0.5em;
  border: 2px solid #242424;
  border-radius: 8px;
}
#stringjob-creator h3,
#stringjob-creator p {
  margin: 8px;
}
#stringjob-creator .active {
  background-color: white;
  border: 2px solid #b8ff00;
}
.available:hover {
  cursor: pointer;
}
#stringjob-creator input {
  font-size: 120%;
}
#stringjob-creator div.reference {
  box-shadow: 0 0 2px 3px #242424, 0 0 8px 8px #b8ff00;
  animation: wiggle 1s infinite linear;
}
@keyframes wiggle {
  25% { transform: rotate(0.5deg); }
  50% { transform: rotate(0deg); }
  75% { transform: rotate(-0.5deg); }
}

#stringjob-creator #racquet-notes {
  white-space: pre-line;
}
#stringjob-creator #racquet-select,
#stringjob-creator #string1-select,
#stringjob-creator #string2-select {
  flex-wrap: wrap;
  justify-content: flex-start;
  border: none;
  margin: 0;
  padding: 0;
}
#stringjob-creator #racquet-select img,
#stringjob-creator #string1-select img,
#stringjob-creator #string2-select img {
  height: 25px;
  width: auto;
  max-width: 100%;
}

#stringjob-creator #date-select {
  text-align: center;
}

#stringjob-creator .labor-option {
  text-align: center;
  width: auto;
}
#stringjob-creator .labor-option .price {
  text-align: center;
  font-size: 200%;
  margin-top: 0;
}

#stringjob-creator #string-count .card {
  font-size: 200%;
}

#stringjob-creator h4 {
  display: block;
  padding-top: 0;
  margin: 0;
}
#stringjob-creator table {
  width: auto;
  margin-left: auto;
  margin-right: auto;
}
#stringjob-creator #submit {
  padding: 2em;
  border: none;
  text-align: center;
}
#stringjob-creator #stringjob-submit-button {
  border-radius: 8px;
  background-color: #242424;
  color: white;
  font-size: 200%;
  padding: 0.75em;
}

/* Stringing Logs */
table.stringing_logs {
  width: 100%;
}
table.stringing_logs tr {
  border-bottom: 1px solid #f2f2f2;
}
table.stringing_logs td {
  background-color: white;
}
table.stringing_logs th {
  background-color: #f2f2f2;
}


/* Support tool tips */
.tooltip {
  position: relative;
  display: inline-block;
  border-bottom: 1px dotted black;
}

.tooltip .tooltiptext {
  visibility: hidden;
  width: 12em;
  background-color: black;
  color: white;
  text-align: center;
  border-radius: 4px;
  padding: 5px;
  position: absolute;
  z-index: 1;
  bottom: 150%;
  left: 50%;
  margin-left: -6em;
}

.tooltip .tooltiptext::after {
  content: "";
  position: absolute;
  top: 100%;
  left: 50%;
  margin-left: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: black transparent transparent transparent;
}

.tooltip:hover .tooltiptext {
  visibility: visible;
}

@media print {
  .noprint, .noprint * {
    display: none !important;
  }
}
